%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% I, the copyright holder of this work, release this work into the
%% public domain. This applies worldwide. In some countries this may
%% not be legally possible; if so: I grant anyone the right to use
%% this work for any purpose, without any conditions, unless such
%% conditions are required by law.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\documentclass[
  digital,     %% The `digital` option enables the default options for the
               %% digital version of a document. Replace with `printed`
               %% to enable the default options for the printed version
               %% of a document.
%%  color,       %% Uncomment these lines (by removing the %% at the
%%               %% beginning) to use color in the printed version of your
%%               %% document
%<*fi>
  oneside,     %% The `oneside` option enables one-sided typesetting,
               %% which is preferred if you are only going to submit a
               %% digital version of your thesis. Replace with `twoside`
               %% for double-sided typesetting if you are planning to
               %% also print your thesis. For double-sided typesetting,
               %% use at least 120 g/m² paper to prevent show-through.
  nosansbold,  %% The `nosansbold` option prevents the use of the
               %% sans-serif type face for bold text. Replace with
               %% `sansbold` to use sans-serif type face for bold text.
  nocolorbold, %% The `nocolorbold` option disables the usage of the 
               %% blue color for bold text, instead using black. Replace
               %% with `colorbold` to use blue for bold text.
%</fi>
%<*econ,fsps,fss,law,med,ped,phil,sci,pharm>
  twoside,     %% The `twoside` option enables double-sided typesetting.
               %% Use at least 120 g/m² paper to prevent show-through.
               %% Replace with `oneside` to use one-sided typesetting;
               %% use only if you don’t have access to a double-sided
               %% printer, or if one-sided typesetting is a formal
               %% requirement at your faculty.
%</econ,fsps,fss,law,med,ped,phil,sci,pharm>
  lof,         %% The `lof` option prints the List of Figures. Replace
               %% with `nolof` to hide the List of Figures.
  lot,         %% The `lot` option prints the List of Tables. Replace
               %% with `nolot` to hide the List of Tables.
]{fithesis4}
%% The following section sets up the locales used in the thesis.
%<*pdftex>
\usepackage[resetfonts]{cmap} %% We need to load the T2A font encoding
\usepackage[T1,T2A]{fontenc}  %% to use the Cyrillic fonts with Russian texts.
\usepackage[
  main=english, %% By using `czech` or `slovak` as the main locale
                %% instead of `english`, you can typeset the thesis
                %% in either Czech or Slovak, respectively.
  english, german, czech, slovak %% The additional keys allow
]{babel}        %% foreign texts to be typeset as follows:
%%
%%   \begin{otherlanguage}{german}  ... \end{otherlanguage}
%%   \begin{otherlanguage}{czech}   ... \end{otherlanguage}
%%   \begin{otherlanguage}{slovak}  ... \end{otherlanguage}
%%
%</pdftex>
%<*luatex>
\usepackage{polyglossia}  %% By using `czech` or `slovak` as the
\setmainlanguage{english} %% main locale instead of `english`, you
%% can typeset the thesis in either Czech or Slovak, respectively.
\setotherlanguages{german, czech, slovak} %% The additional keys
%% allow foreign texts to be typeset as follows:
%%
%%   \begin{otherlanguage}{german}  ... \end{otherlanguage}
%%   \begin{otherlanguage}{czech}   ... \end{otherlanguage}
%%   \begin{otherlanguage}{slovak}  ... \end{otherlanguage}
%%
%</luatex>
%%
%% The following section sets up the metadata of the thesis.
%<*econ>

\thesissetup{
    date               = \the\year/\the\month/\the\day,
    autoLayout         = false,
    university         = mu,
    faculty            = econ,
    type               = bc,
    programme          = NA,
    field              = Applied Econometrics,
%%    field              = {},  %% Uncomment these lines (by removing the %%
%%                              %% at the beginning) to hide the field of
%%                              %% study in the Bibliographic Record.
    department         = Department of Finance,
    author             = Jane Doe,
    gender             = f,
    advisor            = {Prof. RNDr. John Smith, CSc.},
    extra              = {
      advisorCsGenitiv = Johna Smithe,
      advisorSkGenitiv = Johna Smitha,
    },
    title              = The Economic Value of LaTeX,
    TeXtitle           = The Economic Value of \LaTeX,
    keywords           = {keyword1, keyword2, ...},
    TeXkeywords        = {keyword1, keyword2, \ldots},
    abstract           = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks             = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib                = example.bib,
    %% Uncomment the following line (by removing the %% at the
    %% beginning) and replace `assignment.pdf` with the filename
    %% of your scanned thesis assignment.
%%    assignment         = assignment.pdf,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn        = NA,
    fieldEn            = Applied Econometrics,
%%    fieldEn            = {},  %% Uncomment these lines (by removing the %%
%%                              %% at the beginning) to hide the field of
%%                              %% study in the Bibliographic Record.
    departmentEn       = Department of Finance,
    titleEn            = The Economic Value of LaTeX,
    TeXtitleEn         = The Economic Value of \LaTeX,
    keywordsEn         = {keyword1, keyword2, ...},
    TeXkeywordsEn      = {keyword1, keyword2, \ldots},
    abstractEn         = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
    %% The following key is only useful when you are writing a
    %% doctoral thesis. You can safely omit it in other theses.
    extra              = {
      summary          = {%
        This is the summary of my thesis, which should

	        not be very long.
      },
    },
}
%</econ>
%<*fi>
\thesissetup{
    date        = \the\year/\the\month/\the\day,
    university  = mu,
    faculty     = fi,
    type        = bc,
    department  = Department of Machine Learning and Data Processing,
    author      = Jane Doe,
    gender      = f,
    advisor     = {Prof. RNDr. John Smith, CSc.},
    title       = {The Proof of P = NP},
    TeXtitle    = {The Proof of $\mathsf{P}=\mathsf{NP}$},
    keywords    = {keyword1, keyword2, ...},
    TeXkeywords = {keyword1, keyword2, \ldots},
    abstract    = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks      = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib         = example.bib,
    %% Remove the following line to use the JVS 2018 faculty logo.
    facultyLogo = fithesis-fi,
}
%</fi>
%<*fsps>
\thesissetup{
    date          = \the\year/\the\month/\the\day,
    university    = mu,
    faculty       = fsps,
    type          = bc,
    programme     = NA,
    field         = Sport Management,
%%    field         = {},  %% Uncomment these lines (by removing the %%
%%                         %% at the beginning) to hide the field of study
%%                         %% in the Bibliographic Record and the Title Page.
    department    = Department of Social Sciences and Sport Management,
    author        = Jane Doe,
    gender        = f,
    advisor       = {Prof. RNDr. John Smith, CSc.},
    title         = The use of LaTeX for the Typesetting
                    of Sports Tables,
    TeXtitle      = The use of \LaTeX\ for the Typesetting
                    of Sports Tables,
    keywords      = {keyword1, keywords2, ...},
    TeXkeywords   = {keyword1, keywords2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn   = NA,
    fieldEn       = Applied Econometrics,
%%    fieldEn       = {},  %% Uncomment these lines (by removing the %%
%%                         %% at the beginning) to hide the field of
%%                         %% study in the Bibliographic Record.
    departmentEn  = Department of Finance,
    titleEn       = The Economic Value of LaTeX,
    TeXtitleEn    = The Economic Value of \LaTeX,
    keywordsEn    = {keyword1, keyword2, ...},
    TeXkeywordsEn = {keyword1, keyword2, \ldots},
    abstractEn    = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</fsps>
%<*fss>
\thesissetup{
    date          = \the\year/\the\month/\the\day,
    university    = mu,
    faculty       = fss,
    type          = bc,
    programme     = NA,
    field         = Psychology,
%%    field         = {},  %% Uncomment these lines (by removing the %%
%%                         %% at the beginning) to hide the field of
%%                         %% study in the Bibliographic Record.
    department    = Department of Health,
    author        = Jane Doe,
    gender        = f,
    advisor       = {Prof. RNDr. John Smith, CSc.},
    title         = LaTeX and Its Impact on the
                    Information Society,
    TeXtitle      = \LaTeX\ and Its Impact on the
                    Information Society,
    keywords      = {keyword1, keyword2, ...},
    TeXkeywords   = {keyword1, keyword2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks        = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn   = NA,
    fieldEn       = Psychology,
%%    fieldEn       = {},  %% Uncomment these lines (by removing the %% 
%%                         %% at the beginning) to hide the field of
%%                         %% study in the Bibliographic Record.
    departmentEn  = Department of Health,
    titleEn       = LaTeX and Its Impact on the
                    Information Society,
    TeXtitleEn    = \LaTeX\ and Its Impact on the
                    Information Society,
    keywordsEn    = {keyword1, keyword2, ...},
    TeXkeywordsEn = {keyword1, keyword2, \ldots},
    abstractEn    = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</fss>
%<*law>
\thesissetup{
    date          = \the\year/\the\month/\the\day,
    university    = mu,
    faculty       = law,
    type          = bc,
    field         = Law and Finance,
    department    = The Department of Commercial Law,
    author        = Jane Doe,
    gender        = f,
    title         = The Legal Aspects of the LaTeX Project
                    Public License,
    TeXtitle      = The Legal Aspects of the \LaTeX\ Project
                    Public License,
    keywords      = {keyword1, keyword2, ...},
    TeXkeywords   = {keyword1, keyword2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks        = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% Uncomment the following line (by removing the %% at the
    %% beginning) and replace `assignment.pdf` with the filename
    %% of your scanned thesis assignment.
%%    assignment         = assignment.pdf,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    keywordsEn    = {keyword1, keyword2, ...},
    TeXkeywordsEn = {keyword1, keyword2, \ldots},
    abstractEn    = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</law>
%<*med>
\thesissetup{
    date          = \the\year/\the\month/\the\day,
    university    = mu,
    faculty       = med,
    type          = bc,
    programme     = Optometry,
    department    = The Department of Optometry and
                    Orthoptics,
    author        = Jane Doe,
    gender        = f,
    advisor       = {Prof. RNDr. John Smith, CSc.},
    title         = The Curative Effects of Good
                    Typography on the Quality of Sight,
    TeXtitle      = The Curative Effects of Good\\
                    Typography on the Quality of Sight,
    keywords      = {keyword1, keyword2, ...},
    TeXkeywords   = {keyword1, keyword2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks        = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    keywordsEn    = {keyword1, keyword2, ...},
    TeXkeywordsEn = {keyword1, keyword2, \ldots},
    abstractEn    = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</med>
%<*ped>
\thesissetup{
    date          = \the\year/\the\month/\the\day,
    university    = mu,
    faculty       = ped,
    type          = bc,
    programme     = NA,
    field         = Speech Therapy,
%%    field         = {},  %% Uncomment these lines (by removing the %%
%%                         %% at the beginning) to hide the field of study
%%                         %% in the Bibliographic Record and the Title Page.
    department    = Department of Primary Pedagogy,
    author        = Jane Doe,
    gender        = f,
    advisor       = {Prof. RNDr. John Smith, CSc.},
    title         = The Challenges of Teaching LaTeX
                    to Preschool Children,
    TeXtitle      = The Challenges of Teaching \LaTeX\
                    to Preschool Children,
    keywords      = {keyword1, keyword2, ...},
    TeXkeywords   = {keyword1, keyword2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks        = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn   = NA,
    fieldEn       = Speech Therapy,
%%    fieldEn       = {},  %% Uncomment these lines (by removing the %%
%%                         %% at the beginning) to hide the field of
%%                         %% study in the Bibliographic Record.
    departmentEn  = Department of Primary Pedagogy,
    titleEn       = The Challenges of Teaching LaTeX
                    to Preschool Children,
    TeXtitleEn    = The Challenges of Teaching \LaTeX\ 
	            to Preschool Children,
    keywordsEn    = {keyword1, keyword2, ...},
    TeXkeywordsEn = {keyword1, keyword2, \ldots},
    abstractEn    = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</ped>
%<*pharm>
\thesissetup{
    date               = \the\year/\the\month/\the\day,
    university         = mu,
    faculty            = pharm,
    type               = bc,
    programme          = NA,
    field              = Pharmacy,
%%    field              = {},  %% Uncomment these lines (by removing the %%
%%                              %% at the beginning) to hide the field of study
%%                              %% in the Bibliographic Record and the Title Page.
    department         = Department of Pharmacy,
    author             = Jane Doe,
    gender             = f,
    advisor            = {Prof. RNDr. John Smith, CSc.},
    title              = Coating Pharmaceutical Tablets in LaTeX,
    TeXtitle           = Coating Pharmaceutical Tablets in \LaTeX,
    keywords           = {keyword1, keyword2, ...},
    TeXkeywords        = {keyword1, keyword2, \ldots},
    abstract           = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks             = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib                = example.bib,
    %% Uncomment the following line (by removing the %% at the
    %% beginning) and replace `assignment.pdf` with the filename
    %% of your scanned thesis assignment.
%%    assignment         = assignment.pdf,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn        = NA,
    fieldEn            = Pharmacy,
%%    fieldEn            = {},  %% Uncomment these lines (by removing the %%
%%                              %% at the beginning) to hide the field of
%%                              %% study in the Bibliographic Record.
    departmentEn       = Department of Pharmacy,
    titleEn            = Plotting Data in LaTeX,
    TeXtitleEn         = Plotting Data in \LaTeX,
    keywordsEn         = {keyword1, keyword2, ...},
    TeXkeywordsEn      = {keyword1, keyword2, \ldots},
    abstractEn         = {%
      This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</pharm>
%<*phil>
\thesissetup{
    date        = \the\year/\the\month/\the\day,
    university  = mu,
    faculty     = phil,
    type        = bc,
    programme   = NA,
    field       = Cognitive Sciences,
    department  = Department of Psychology,
    author      = Jane Doe,
    gender      = f,
    advisor     = {Prof. RNDr. John Smith, CSc.},
    title       = What Can Typography Tell Us
                  About the Nature of Man,
    TeXtitle    = What Can Typography Tell Us\\
                  About the Nature of Man,
    keywords    = {keyword1, keyword2, ...},
    TeXkeywords = {keyword1, keyword2, \ldots},
    thanks      = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib        = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn	       = NA,
    fieldEn            = Cognitive Sciences,
    departmentEn       = Department of Psychology,
    titleEn            = What Can Typography Tell Us
	                 About the Nature of Man,
    TeXtitleEn         = What Can Typography Tell Us
	                 About the Nature of Man,
    keywordsEn         = {keyword1, keyword2, ...},
    TeXkeywordsEn      = {keyword1, keyword2, \ldots},
    abstractEn         = {%
    This is the English abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</phil>
%<*sci>
\thesissetup{
    date            = \the\year/\the\month/\the\day,
    university      = mu,
    faculty         = sci,
    department      = Department of Mathematics and
                      Statistics,
    programme       = Mathematics,
    field           = Financial and Insurance Mathematics,
%%    field           = {},  %% Uncomment these lines (by removing the %%
%%                           %% at the beginning) to hide the field of
%%                           %% study in the Bibliographic Record.
    type            = bc,
    author          = Jane Doe,
    gender          = f,
    advisor         = {Prof. RNDr. John Smith, CSc.},
    title           = The Principles of the Typesetting of
                      Mathematics in TeX: the Program,
    TeXtitle        = The Principles of the Typesetting of
                      Mathematics in \TeX: the Program,
    keywords        = {keyword1, keyword2, ...},
    TeXkeywords     = {keyword1, keyword2, \ldots},
    abstract      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
    thanks        = {%
      These are the acknowledgements for my thesis, which can

      span multiple paragraphs.
    },
    bib           = example.bib,
    %% The following keys are only useful, when you're using a
    %% locale other than English. You can safely omit them in an
    %% English thesis.
    programmeEn     = Mathematics,
    fieldEn         = Financial and Insurance Mathematics,
%%    fieldEn         = {},  %% Uncomment these lines (by removing the %%
%%                           %% at the beginning) to hide the field of
%%                           %% study in the Bibliographic Record.
    departmentEn    = Department of Mathematics and
	              Statistics,
    titleEn         = The Principles of the Typesetting of
                      Mathematics in TeX: the Program,
    TeXtitleEn      = The Principles of the Typesetting of
                      Mathematics in \TeX: the Program,
    keywordsEn      = {keyword1, keyword2, ...},
    TeXkeywordsEn   = {keyword1, keyword2, \ldots},
    abstractEn      = {%
      This is the abstract of my thesis, which can

      span multiple paragraphs.
    },
}
%</sci>
\usepackage{makeidx}      %% The `makeidx` package contains
\makeindex                %% helper commands for index typesetting.
%% These additional packages are used within the document:
\usepackage{paralist} %% Compact list environments
\usepackage{amsmath}  %% Mathematics
\usepackage{amsthm}
\usepackage{amsfonts}
\usepackage{url}      %% Hyperlinks
\usepackage{markdown} %% Lightweight markup
\usepackage{listings} %% Source code highlighting
\lstset{
  basicstyle      = \ttfamily,
  identifierstyle = \color{black},
  keywordstyle    = \color{blue},
  keywordstyle    = {[2]\color{cyan}},
  keywordstyle    = {[3]\color{olive}},
  stringstyle     = \color{teal},
  commentstyle    = \itshape\color{magenta},
  breaklines      = true,
}
\usepackage{floatrow} %% Putting captions above tables
\floatsetup[table]{capposition=top}
\usepackage[babel]{csquotes} %% Context-sensitive quotation marks
%<*econ>
\usepackage{chngcntr}
\counterwithout{table}{chapter}  %% Flat numbering of tables
\counterwithout{figure}{chapter} %% Flat numbering of figures
%</econ>
\begin{document}
%<*econ>
\makeatletter
  \thesis@preamble %% Print the preamble.
\makeatother

%</econ>
%% The \chapter* command can be used to produce unnumbered chapters:
\chapter*{Introduction}
%% Unlike \chapter, \chapter* does not update the headings and does not
%% enter the chapter to the table of contents. I we want correct
%% headings and a table of contents entry, we must add them manually:
\markright{\textsc{Introduction}}
\addcontentsline{toc}{chapter}{Introduction}

Theses are rumoured to be \enquote{the capstones of education}, so
I decided to write one of my own. If all goes well, I will soon
have a diploma under my belt. Wish me luck!

\begin{otherlanguage}{czech}
Říká se, že závěrečné práce jsou \enquote{vyvrcholením studia}
a tak jsem se rozhodl jednu také napsat. Pokud vše půjde podle
plánu, odnesu si na konci semestru diplom. Držte mi palce!
\end{otherlanguage}

\begin{otherlanguage}{slovak}
Hovorí sa, že záverečné práce sú \enquote{vyvrcholením štúdia}
a tak som sa rozhodol jednu tiež napísať. Ak všetko pôjde podľa
plánu, odnesiem si na konci semestra diplom. Držte mi palce!
\end{otherlanguage}

\begin{otherlanguage}{german}
Man munkelt, dass die Dissertation \enquote{die Krönung der
Ausbildung} ist. Deshalb habe ich mich beschlossen meine eigene
zu schreiben. Wenn alles gut geht, bekomme ich bald ein Diplom.
Wünsch mir Glück!
\end{otherlanguage}

\chapter{Using lightweight markup}
%<*pdftex>
\shorthandoff{-}
%</pdftex>
\begin{markdown*}{
  citationNbsps,
  citations,
  definitionLists,
  fencedCode,
  hashEnumerators,
  inlineNotes,
  notes,
  pipeTables,
  rawAttribute,
  tableCaptions,
}

If you decide that `\LaTeX`{=tex} is too wordy for some parts of your
document, there are [packages](https://www.ctan.org/pkg/markdown
"Markdown") that allow you to use more lightweight markup next
to it.

%<*econ>
 ![logo](fithesis/logo/mu/fithesis-econ-color "The old-style seal
         of the Faculty of Economics and Administration")
%</econ>
%<*fi>
 ![logo](fithesis/logo/mu/fithesis-fi-color "The old-style seal of
         the Faculty of Informatics")
%</fi>
%<*fsps>
 ![logo](fithesis/logo/mu/fithesis-fsps-color "The old-style seal
         of the Faculty of Sports Studies")
%</fsps>
%<*fss>
 ![logo](fithesis/logo/mu/fithesis-fss-color "The old-style seal of
         the Faculty of Social Studies")
%</fss>
%<*law>
 ![logo](fithesis/logo/mu/fithesis-law-color "The old-style seal of
         the Faculty of Law")
%</law>
%<*med>
 ![logo](fithesis/logo/mu/fithesis-med-color "The old-style seal of
         the Faculty of Medicine")
%</med>
%<*ped>
 ![logo](fithesis/logo/mu/fithesis-ped-color "The old-style seal of
         the Faculty of Education")
%</ped>
%<*pharm>
 ![logo](fithesis/logo/mu/fithesis-pharm-color "The old-style seal
         of the Faculty of Pharmacy")
%</pharm>
%<*phil>
 ![logo](fithesis/logo/mu/fithesis-phil-color "The old-style seal
         of the Faculty of Arts")
%</phil>
%<*sci>
 ![logo](fithesis/logo/mu/fithesis-sci-color "The old-style seal of
         the Faculty of Science")
%</sci>

| Right | Left | Default | Center |
|------:|:-----|---------|:------:|
|    12 | 12   | 12      |   12   |
|   123 | 123  | 123     |   123  |
|     1 | 1    | 1       |    1   |

: This is a table with different types of alignment.

This is a bullet list. Unlike numbered lists, bulleted lists
contain an **unordered** set of bullet points. When a bullet point
contains multiple paragraphs, the list is typeset as follows:

  * The first item of a bullet list

    that spans several paragraphs,
  * the second item of a bullet list,
  * the third item of a bullet list.

When none of the bullet points contains multiple paragraphs, the
list has a more compact form:

  * The first item of a bullet list,
  * the second item of a bullet list,
  * the third item of a bullet list.

Unlike a bulleted list, a numbered list implies chronology or
ordering of the bullet points. When a bullet point
contains multiple paragraphs, the list is typeset as follows:

  1. The first item of an ordered list

     that spans several paragraphs,
  2. the second item of an ordered list,
  3. the third item of an ordered list.
  #. If you are feeling lazy,
  #. you can use hash enumerators as well.

When none of the bullet points contains multiple paragraphs, the
list has a more compact form:

  6. The first item of an ordered list,
  7. the second item of an ordered list,
  8. the third item of an ordered list.

Definition lists are used to provide definitions of terms. When
a definition contains multiple paragraphs, the list is typeset
as follows:

Term 1

:   Definition 1

*Term 2*

:   Definition 2

        Some code, part of Definition 2

    Third paragraph of Definition 2.

When none of the bullet points contains multiple paragraphs, the
list has a more compact form:

Term 1
:   Definition 1
*Term 2*
:   Definition 2

Block quotations are used to include an excerpt from an external
document in way that visually clearly separates the excerpt from
the rest of the work:

> This is the first level of quoting.
>
> > This is nested blockquote.
>
> Back to the first level.

Footnotes are used to include additional information to the
document that are not necessary for the understanding of the main
text. Here is a footnote reference^[Here is the footnote.] and
another.[^longnote]

[^longnote]: Here's one with multiple blocks.

    Subsequent paragraphs are indented to show that they
belong to the previous footnote.

        Some code

    The whole paragraph can be indented, or just the first
    line.  In this way, multi-paragraph footnotes work like
    multi-paragraph list items.

Citations are used to provide bibliographical references to other
documents. This is a regular citation~[@borgman03, p. 123]. This is
an in-text citation: @borgman03. You can also cite several authors
at once using both regular~[see @borgman03, p. 123; @greenberg98,
sec.  3.2; and @thanh01] and in-text citations: @borgman03 [p.123;
@greenberg98, sec. 3.2; @thanh01].

Code blocks are used to include source code listings into the
document:

    #include <stdio.h>
    #include <unistd.h>
    #include <sys/types.h>
    #include <sys/wait.h>
    // This is a comment
    int main(int argc, char **argv)
    {
        while (--c > 1 && !fork());
        sleep(c = atoi(v[c]));
        printf("%d\n", c);
        wait(0);
        return 0;
    }

There is an alternative syntax for code blocks that allows you to
specify additional information, such as the language of the source
code. This information can be used for syntax highlighting:

``` sh
#!/bin/sh
fac() {
  if [ "$1" -leq 1 ]; then
    echo 1
  else
    echo $(("$1" * fac $(("$1" - 1))))
  fi
}
``````````````

~~~~~~ ruby
# Here's a way to empty an array.
joe = [ 'eggs.', 'some', 'break', 'to', 'Have' ]
print(joe.pop, " ") while joe.size > 0
print "\n"
~~~~~~

\end{markdown*}
%<*pdftex>
\shorthandon{-}
%</pdftex>

\chapter{These are}
\section{the available}
\subsection{sectioning}
\subsubsection{commands.}
\paragraph{Paragraphs and}
\subparagraph{subparagraphs are available as well.}
Inside the text, you can also use unnumbered lists,
\begin{itemize}
  \item such as
  \item this one
  \begin{itemize}
    \item     and they can be nested as well.
    \item[>>] You can even turn the bullets into something fancier,
    \item[\S] if you so desire.
  \end{itemize}
\end{itemize}
Numbered lists are
\begin{enumerate}
  \item very
  \begin{enumerate}
    \item similar
  \end{enumerate}
\end{enumerate}
and so are description lists:
\begin{description}
  \item[Description list]
    A list of terms with a description of each term
\end{description}
The spacing of these lists is geared towards paragraphs of text.
For lists of words and phrases, the \textsf{paralist} package
offers commands
\begin{compactitem}
  \item that
  \begin{compactitem}
    \item are
    \begin{compactitem}
      \item better
      \begin{compactitem}
        \item suited
      \end{compactitem}
    \end{compactitem}
  \end{compactitem}
\end{compactitem}
\begin{compactenum}
  \item to
  \begin{compactenum}
    \item this
    \begin{compactenum}
      \item kind of
      \begin{compactenum}
        \item content.
      \end{compactenum}
    \end{compactenum}
  \end{compactenum}
\end{compactenum}
The \textsf{amsthm} package provides the commands necessary for the
typesetting of mathematical definitions, theorems, lemmas and
proofs.

%% We will define several mathematical sectioning commands.
\newtheorem{theorem}{Theorem}[section] %% The numbering of theorems
                               %% will be reset after each section.
\newtheorem{lemma}[theorem]{Lemma}         %% The numbering of lemmas
\newtheorem{corollary}[theorem]{Corollary} %% and corollaries will
                               %% share the counter with theorems.
\theoremstyle{definition}
\newtheorem{definition}{Definition}
\theoremstyle{remark}
\newtheorem*{remark}{Remark}

\begin{theorem}
  This is a theorem that offers a profound insight into the
  mathematical sectioning commands.
\end{theorem}
\begin{theorem}[Another theorem]
  This is another theorem. Unlike the first one, this theorem has
  been endowed with a name.
\end{theorem}
\begin{lemma}
  Let us suppose that $x^2+y^2=z^2$. Then
  \begin{equation}
    \biggl\langle u\biggm|\sum_{i=1}^nF(e_i,v)e_i\biggr\rangle
    =F\biggl(\sum_{i=1}^n\langle e_i|u\rangle e_i,v\biggr).
  \end{equation}
\end{lemma}
\begin{proof}
  $\nabla^2 f(x,y)=\frac{\partial^2f}{\partial x^2}+
   \frac{\partial^2f}{\partial y^2}$.
\end{proof}
\begin{corollary}
  This is a corollary.
\end{corollary}
\begin{remark}
  This is a remark.
\end{remark}

\chapter{Floats and references}
\begin{figure}
  \begin{center}
    %% PNG and JPG images can be inserted into the document as well,
    %% but their resolution needs to be adequate. The minimum is
    %% about 100 pixels per 1 centimeter or 300 pixels per 1 inch.
    %% That means that a JPG or PNG image typeset at 4 × 4 cm should
    %% be 400 × 400 px large at the bare minimum.
    %%
    %% The optimum is about 250 pixels per 1 centimeter or 600
    %% pixels per 1 inch. That means that a JPG or PNG image typeset
    %% at 4 × 4 cm should be 1000 × 1000 px large or larger.
    \includegraphics[width=6.3cm]{fithesis/logo/mu/fithesis-base-english-color}
  \end{center}
%<*econ>
  \emph{Source: <<Image Source>>}
%</econ>
  \caption{The logo of the Masaryk University at 6.3\,cm}
  \label{fig:mulogo1}
\end{figure}

\begin{figure}
  \begin{center}
    \begin{minipage}{.5\textwidth}
      \includegraphics[width=\textwidth]{fithesis/logo/mu/fithesis-base-english-color}
    \end{minipage}
    \hfill  % Fill the horizontal space between the images
    \begin{minipage}{.33\textwidth}
      \includegraphics[width=\textwidth]{fithesis/logo/mu/fithesis-base-english-color} \\[1em]
      \includegraphics[width=\textwidth]{fithesis/logo/mu/fithesis-base-english-color}
    \end{minipage}
  \end{center}
%<*econ>
  \emph{Source: <<Image Source>>}
%</econ>
	\caption{The logo of the Masaryk University at $\frac12$ and
    $\frac13$ of text width}
  \label{fig:mulogo2}
\end{figure}

\begin{table}
  \begin{tabularx}{\textwidth}{lllX}
    \toprule
    Day & Min Temp & Max Temp & Summary \\
    \midrule
    Monday & $13^{\circ}\mathrm{C}$ & $21^\circ\mathrm{C}$ & A
    clear day with low wind and no adverse current advisories. \\
    Tuesday & $11^{\circ}\mathrm{C}$ & $17^\circ\mathrm{C}$ & A
    trough of low pressure will come from the northwest. \\
    Wednesday & $10^{\circ}\mathrm{C}$ &
    $21^\circ\mathrm{C}$ & Rain will spread to all parts during the
    morning. \\
    \bottomrule
  \end{tabularx}
%<*econ>
  \vskip\abovecaptionskip\emph{Source: <<Table Source>>}
%</econ>
  \caption{A weather forecast}
  \label{tab:weather}
\end{table}

The logo of the Masaryk University is shown in Figure \ref{fig:mulogo1} and
Figure \ref{fig:mulogo2} at pages \pageref{fig:mulogo1} and
\pageref{fig:mulogo2}. The weather forecast is shown in Table
\ref{tab:weather} at page \pageref{tab:weather}. The following
chapter is Chapter \ref{chap:matheq} and starts at page
\pageref{chap:matheq}.  Items \ref{item:star1}, \ref{item:star2},
and \ref{item:star3} are starred in the following list:
\begin{compactenum}
  \item some text
  \item some other text
  \item $\star$ \label{item:star1}
  \begin{compactenum}
    \item some text
    \item $\star$ \label{item:star2}
    \item some other text
    \begin{compactenum}
      \item some text
      \item some other text
      \item yet another piece of text
      \item $\star$ \label{item:star3}
    \end{compactenum}
    \item yet another piece of text
  \end{compactenum}
  \item yet another piece of text
\end{compactenum}
If your reference points to a place that has not yet been typeset,
the \verb"\ref" command will expand to \textbf{??} during the first
run of
%<*pdftex>
\texttt{pdflatex \jobname.tex}
%</pdftex>
%<*luatex>
\texttt{lualatex \jobname.tex}
%</luatex>
and a second run is going to be needed for the references to
resolve. With online services -- such as Overleaf -- this is
performed automatically.

\chapter{Mathematical equations}
\label{chap:matheq}
\TeX{} comes pre-packed with the ability to typeset inline
equations, such as $\mathrm{e}^{ix}=\cos x+i\sin x$, and display
equations, such as \[
  \mathbf{A}^{-1} = \begin{bmatrix}
  a & b \\ c & d \\ 
  \end{bmatrix}^{-1} =
  \frac{1}{\det(\mathbf{A})} \begin{bmatrix}
  \,\,\,d & \!\!-b \\ -c & \,a \\ 
  \end{bmatrix} =
  \frac{1}{ad - bc} \begin{bmatrix}
  \,\,\,d & \!\!-b \\ -c & \,a \\ 
  \end{bmatrix}.
\] \LaTeX{} defines the automatically numbered \texttt{equation}
environment:
\begin{equation}
  \gamma Px = PAx = PAP^{-1}Px.
\end{equation}
The package \textsf{amsmath} provides several additional
environments that can be used to typeset complex equations:
\begin{enumerate}
  \item An equation can be spread over multiple lines using the
    \texttt{multline} environment:
    \begin{multline}
      a + b + c + d + e + f + b + c + d + e + f + b + c + d + e +
f \\
      + f + g + h + i + j + k + l + m + n + o + p + q
    \end{multline}

  \item Several aligned equations can be typeset using the
    \texttt{align} environment:
    \begin{align}
              a + b &= c + d     \\
                  u &= v + w + x \\[1ex]
      i + j + k + l &= m
    \end{align}

  \item The \texttt{alignat} environment is similar to
    \texttt{align}, but it doesn't insert horizontal spaces between
    the individual columns:
    \begin{alignat}{2}
      a + b + c &+ d       &   &= 0 \\
              e &+ f + g   &   &= 5
    \end{alignat}

  \item Much like chapter, sections, tables, figures, or list
    items, equations -- such as \eqref{eq:first} and
    \eqref{eq:mine} -- can also be labeled and referenced:
    \begin{alignat}{4}
      b_{11}x_1 &+ b_{12}x_2  &  &+ b_{13}x_3  &  &             &
        &= y_1,                   \label{eq:first} \\
      b_{21}x_1 &+ b_{22}x_2  &  &             &  &+ b_{24}x_4  &
        &= y_2. \tag{My equation} \label{eq:mine}
    \end{alignat}

  \item The \texttt{gather} environment makes it possible to
    typeset several equations without any alignment:
    \begin{gather}
      \psi = \psi\psi, \\
      \eta = \eta\eta\eta\eta\eta\eta, \\
      \theta = \theta.
    \end{gather}

  \item Several cases can be typeset using the \texttt{cases}
    environment:
    \begin{equation}
      |y| = \begin{cases}
        \phantom-y & \text{if }z\geq0, \\
                -y & \text{otherwise}.
      \end{cases}
    \end{equation}
\end{enumerate}
For the complete list of environments and commands, consult the
\textsf{amsmath} package manual\footnote{
  See \url{http://mirrors.ctan.org/macros/latex/required/amsmath/amsldoc.pdf}.
  The \texttt{\textbackslash url} command is provided by the
  package \textsf{url}.
}.

\chapter{\textnormal{We \textsf{have} \texttt{several} \textsc{fonts}
  \textit{at} \textbf{disposal}}}
The serified roman font is used for the main body of the text.
\textit{Italics are typically used to denote emphasis or
quotations.} \texttt{The teletype font is typically used for source
code listings.} The \textbf{bold}, \textsc{small-caps} and
\textsf{sans-serif} variants of the base roman font can be used to
denote specific types of information.

\tiny We \scriptsize can \footnotesize also \small change \normalsize
the \large font \Large size, \LARGE although \huge it \Huge
is \huge usually \LARGE not \Large necessary.\normalsize

A wide variety of mathematical fonts is also available, such as: \[
  \mathrm{ABC}, \mathcal{ABC}, \mathbf{ABC}, \mathsf{ABC},
  \mathit{ABC}, \mathtt{ABC}
\] By loading the \textsf{amsfonts} packages, several additional
fonts will become available: \[
  \mathfrak{ABC}, \mathbb{ABC}
\] Many other mathematical fonts are available\footnote{
  See \url{http://tex.stackexchange.com/a/58124/70941}.
}.

\chapter{Inserting the bibliography}
After linking a bibliography data\-base files to the document using
the \verb"\"\texttt{thesis\discretionary{-}{}{}setup\{bib\discretionary{=}{=}{=}%
\{\textit{file1},\textit{file2},\,\ldots\,\}\}} command, you can
start citing the entries. This is just dummy text
\parencite{borgman03} lightly sprinkled with citations
\parencite[p.~123]{greenberg98}. Several sources can be cited at
once: \cite{borgman03,greenberg98,thanh01}.
\citetitle{greenberg98} was written by \citeauthor{greenberg98} in
\citeyear{greenberg98}. We can also produce \textcite{greenberg98}%
%<*fi,ped,phil,sci>
\ or %% Let us define a compound command:
\def\citeauthoryear#1{(\textcite{#1},~\citeyear{#1})}%
\citeauthoryear{greenberg98}%
%</fi,ped,phil,sci>
. The full bibliographic citation is:
\emph{\fullcite{greenberg98}}. We can easily insert a bibliographic
citation into the footnote\footfullcite{greenberg98}.

The \verb"\nocite" command will not generate any
output\nocite{muni}, but it will insert its arguments into
the bibliography. The \verb"\nocite{*}" command will insert all the
records in the bibliography database file into the bibliography.
Try uncommenting the command
%% \nocite{*}
and watch the bibliography section come apart at the seams.

When typesetting the document for the first time, citing a
\texttt{work} will expand to [\textbf{work}] and the
\verb"\printbibliography" command will produce no output. It is now
necessary to generate the bibliography by running \texttt{biber
\jobname.bcf} from the command line and then by typesetting the
document again twice. During the first run, the bibliography
section and the citations will be typeset, and in the second run,
the bibliography section will appear in the table of contents.

The \texttt{biber} command needs to be executed from within the
directory, where the \LaTeX\ source file is located. In Windows,
the command line can be opened in a directory by holding down the
\textsf{Shift} key and by clicking the right mouse button while
hovering the cursor over a directory.  Select the \textsf{Open
Command Window Here} option in the context menu that opens shortly
afterwards.

With online services -- such as Overleaf -- or when using an
automatic tool -- such as \LaTeX MK -- all commands are executed
automatically. When you omit the \verb"\printbibliography" command,
its location will be decided by the template.

%<*fsps>
  {\singlespacing
%</fsps>
  \printbibliography[heading=bibintoc] %% Print the bibliography.
%<*fsps>
  }
%</fsps>

\chapter{Inserting the index}
After using the \verb"\makeindex" macro and loading the
\texttt{makeidx} package that provides additional indexing
commands, index entries can be created by issuing the \verb"\index"
command. \index{dummy text|(}It is possible to create ranged index
entries, which will encompass a span of text.\index{dummy text|)}
To insert complex typographic material -- such as $\alpha$
\index{alpha@$\alpha$} or \TeX{} \index{TeX@\TeX} --
into the index, you need to specify a text string, which will
determine how the entry will be sorted. It is also possible to
create hierarchal entries. \index{vehicles!trucks}
\index{vehicles!speed cars}

After typesetting the document, it is necessary to generate the
index by running
\begin{center}%
  \texttt{texindy -I latex -C utf8 -L }$\langle$\textit{locale}%
  $\rangle$\texttt{ \jobname.idx}
\end{center}
from the command line, where $\langle$\textit{locale}$\rangle$
corresponds to the main locale of your thesis -- such as
\texttt{english}, and then typesetting the document again.

The \texttt{texindy} command needs to be executed from within the
directory, where the \LaTeX\ source file is located. In Windows,
the command line can be opened in a directory by holding down the
\textsf{Shift} key and by clicking the right mouse button while
hovering the cursor over a directory. Select the \textsf{Open Command
Window Here} option in the context menu that opens shortly
afterwards.

With online services -- such as Overleaf -- the commands are
executed automatically, although the locale may be erroneously
detected, or the \texttt{makeindex} tool (which is only able to
sort entries that contain digits and letters of the English
alphabet) may be used instead of \texttt{texindy}. In either case,
the index will be ill-sorted.

  \makeatletter\thesis@blocks@clear\makeatother
  \phantomsection %% Print the index and insert it into the
  \addcontentsline{toc}{chapter}{\indexname} %% table of contents.
  \printindex
%<*econ>

\makeatletter
  \thesis@postamble %% Print the postamble.
\makeatother
%</econ>

\appendix %% Start the appendices.
\chapter{An appendix}
Here you can insert the appendices of your thesis.

\end{document}
